Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1298307 - nodejs-spdx-license-ids-3.0.4 is available
Summary: nodejs-spdx-license-ids-3.0.4 is available
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: nodejs-spdx-license-ids
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zuzana Svetlikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1298301
TreeView+ depends on / blocked
 
Reported: 2016-01-13 17:32 UTC by Upstream Release Monitoring
Modified: 2019-04-06 14:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (deleted)
2016-04-10 01:40 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (deleted)
2016-07-26 12:32 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (deleted)
2016-12-26 12:21 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2016-01-13 17:32:35 UTC
Latest upstream release: 1.2.0
Current version/release in rawhide: 1.0.1-1.fc23
URL: https://www.npmjs.org/package/spdx-license-ids

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 1 Zbigniew Jędrzejewski-Szmek 2016-01-13 21:39:09 UTC
It seems that there are mostly trivial changes, so upgrading should be fine.

Comment 2 Jared Smith 2016-01-13 21:40:04 UTC
I'll go ahead and push this update tomorrow unless I hear differently from anyone.  I've got it built locally.

Comment 3 Piotr Popieluch 2016-01-13 22:08:34 UTC
I don't see any depending packages so update should be without issues.


I've only found some minor issues with the package...

 - the packaged files should be built from source with:
      rm spdx-license-ids-browser.js
      node --harmony_arrow_functions build.js
 - BR on nodejs-devel is not needed
 - There are too many BR's for tests, do we really want to lint the source?
 - tests and build depends on newer nodejs (uses const keyword), this creates a circular dep...
 - build.js and bower.js don't need to be packaged, not sure about spdx-license-ids-browser.js
 - build scripts depend on stringify-object which is not packaged

Comment 4 Jared Smith 2016-01-14 21:19:12 UTC
In the case of this package, I'm not sure it's really necessary to "build from source", since it's not really code, but just a list of licenses.

That being said, I've gone ahead and re-engineered the build process to use the jq utility instead of the 'build.js' file upstream.  The results are the same, but we don't end up needing a newer version of nodejs or network connectivity.

Tests still require a newer version of nodejs, so they're disabled for the moment.  In the long term, this will be fixed when we deploy a newer version of nodejs.  If anybody is ambitious in the short-term, they could re-write the test not to use the arrow notation, and remove the "const"s and probably come up with a useable test.

Without further ado...  Here's what I'll be pushing to Koji soon unless I get negative feedback first:

Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-spdx-license-ids/nodejs-spdx-license-ids.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-spdx-license-ids/nodejs-spdx-license-ids-1.2.0-3.fc24.src.rpm

Comment 5 Piotr Popieluch 2016-01-14 22:15:34 UTC
nice, looks good!

You might want to set EVR to 1.2.0-3 instead of 1.2.0-3

Comment 6 Upstream Release Monitoring 2016-01-14 22:30:14 UTC
jsmith's nodejs-spdx-license-ids-1.2.0-3.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=711365

Comment 7 Upstream Release Monitoring 2016-02-04 14:57:35 UTC
releng's nodejs-spdx-license-ids-1.2.0-4.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=724398

Comment 8 Upstream Release Monitoring 2016-04-10 01:39:57 UTC
Latest upstream release: 1.2.1
Current version/release in rawhide: 1.2.0-4.fc24
URL: https://www.npmjs.org/package/spdx-license-ids

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/8783/

Comment 9 Upstream Release Monitoring 2016-04-10 01:40:03 UTC
Patching or scratch build for nodejs-spdx-license-ids-1.2.0 failed.

Comment 10 Upstream Release Monitoring 2016-04-10 01:40:04 UTC
Created attachment 1145592 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 11 Upstream Release Monitoring 2016-04-10 01:40:06 UTC
Patches were not touched. All were applied properly

Comment 12 Upstream Release Monitoring 2016-07-26 12:32:41 UTC
Latest upstream release: 1.2.2
Current version/release in rawhide: 1.2.0-4.fc24
URL: https://www.npmjs.org/package/spdx-license-ids

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/8783/

Comment 13 Upstream Release Monitoring 2016-07-26 12:32:47 UTC
Patching or scratch build for nodejs-spdx-license-ids-1.2.0 failed.

Comment 14 Upstream Release Monitoring 2016-07-26 12:32:49 UTC
Created attachment 1184250 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 15 Upstream Release Monitoring 2016-07-26 12:32:51 UTC
Patches were not touched. All were applied properly

Comment 16 Upstream Release Monitoring 2016-12-26 12:21:00 UTC
Latest upstream release: 2.0.0
Current version/release in rawhide: 1.2.0-4.fc24
URL: https://www.npmjs.org/package/spdx-license-ids

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/8783/

Comment 17 Upstream Release Monitoring 2016-12-26 12:21:06 UTC
Patching or scratch build for nodejs-spdx-license-ids-1.2.0 failed.

Comment 18 Upstream Release Monitoring 2016-12-26 12:21:08 UTC
Created attachment 1235386 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 19 Upstream Release Monitoring 2016-12-26 12:21:10 UTC
Patches were not touched. All were applied properly

Comment 20 Upstream Release Monitoring 2018-01-26 12:28:21 UTC
Latest upstream release: 3.0.0
Current version/release in rawhide: 1.2.0-6.fc27
URL: https://www.npmjs.org/package/spdx-license-ids

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/8783/

Comment 21 Upstream Release Monitoring 2018-01-26 12:28:26 UTC
One or more of the new sources for this package are identical to the old sources. It's likely this package does not use the version macro in its Source URLs. If possible, please update the specfile to include the version macro in the Source URLs

Comment 22 Upstream Release Monitoring 2019-04-06 14:03:27 UTC
Latest upstream release: 3.0.4
Current version/release in rawhide: 1.2.0-9.fc30
URL: https://www.npmjs.org/package/spdx-license-ids

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/8783/


Note You need to log in before you can comment on or make changes to this bug.